Page MenuHomePhabricator

Requesting access to EventLogging data for Vinitha
Closed, ResolvedPublicRequest

Description

Vinitha is going to work on T158909: Automatically detect spambot registration using machine learning (like invisible reCAPTCHA) as an Outreachy intern. For her work she needs to collect data on user behavior on the registration page (such as mouse or keyboard dynamics; some of which could meet the definition of PII) via EventLogging, so she needs access to EventLogging data for the time of the internship (from now to early March). That means stat1006 access and membership in the researchers access group, I believe.

Collected data will include information that Javascript can record about user behavior (things like typing sped or mouse movement speed) and username (to track whether the user later gets blocked as a spammer).

Full name: Vinitha Venugopal Savithri
LDAP username: Groovier1
Phabricator: @Groovier
User page: User:Groovier

Todo for Vinitha:

Event Timeline

Tgr created this task.Dec 3 2017, 11:54 PM
Restricted Application added a project: Operations. · View Herald TranscriptDec 3 2017, 11:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
elukey added a subscriber: elukey.Dec 4 2017, 9:21 AM
Groovier added a comment.EditedDec 5 2017, 6:42 AM

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDKq1Rl0RHmHoRYDmixvJZSlUYs8BXLDfIEbfUy6FmOwQU0BuAbAFSA8JvJwvTqpb7ptu705U/ZXbtD0SlfKdoXCJ57TEfRL3Cb6iHS6/jdkIvyIzxJz0wS7IIaatgCCUynRrLZGsruGmMju4Orl0/RuZ+29TTE/lvzE6ymEQFqWo8nyfhJw/EpjfBxZsO6qLhFrp+4coxu/wS3k21/gneq2hx0wr63uwlMWvxsogi5l+yu6clhJHS2KgzyZhBkrINoi3e+SY3EPkHBm33AZFdOoF6bK2VBxzRa8DP3ynpWRxOwCDBr7nk0fTmTCBHVcVFB312oiZ/ipJeFaAF9s7P9

Cmjohnson updated the task description. (Show Details)Dec 5 2017, 3:51 PM
Cmjohnson added a subscriber: Cmjohnson.

Sent an email to @Legal about signed NDA

Cmjohnson claimed this task.Dec 5 2017, 4:39 PM

@Groovier, Legal does not have a NDA for you on file please reach out to @RStallman-legalteam to review and sign. Thanks

@Groovier, to customize the NDA for you, we'll need a physical address and an email address. I will then route the NDA for signatures via our contract software. You can email me directly with the info: rstallman@wikimedia.org

Thanks!

@Cmjohnson, Vinitha has signed the NDA and it's on file in our contracts software. Thank you!

Tgr updated the task description. (Show Details)Dec 8 2017, 9:42 PM
Tgr added a subscriber: Nuria.Dec 8 2017, 9:46 PM

Per Production shell access, this needs approval from the employee Vinitha is collaborating with (that would be me; I approve, obviously) amd the relevant project lead (@Nuria I believe).

Nuria, are there any details you'd like me to provide?

RobH removed Cmjohnson as the assignee of this task.
RobH assigned this task to Nuria.Dec 12 2017, 9:15 PM
RobH added a subscriber: RobH.

This seems stalled seeking endorsement from @Nuria. As such, I've assigned this directly to the user. Please provide feedback and set back to unassigned, thanks!

Volans triaged this task as Normal priority.Dec 18 2017, 8:35 AM
Nuria added a comment.Dec 19 2017, 6:00 PM

Updating ticket from conversation on e-mail. To grant access two things are needed:

Grantee needs to read data acces guidelines and privacy policy. https://office.wikimedia.org/wiki/Data_access_guidelines

Volans removed Nuria as the assignee of this task.Dec 19 2017, 6:02 PM
Tgr updated the task description. (Show Details)Dec 19 2017, 6:04 PM
Tgr updated the task description. (Show Details)
Tgr updated the task description. (Show Details)Dec 21 2017, 5:21 AM
Tgr updated the task description. (Show Details)
Tgr updated the task description. (Show Details)Dec 21 2017, 5:30 AM

Updating ticket from conversation on e-mail. To grant access two things are needed:

Should be all done. The description is at Research:Spambot detection via registration page behavior (pretty minimal but we don't have a good idea yet of what's possible so we don't really have detailed plans beyond that). Also expanded the task description a bit.

Nuria added a comment.Dec 21 2017, 5:03 PM

Access approved, please be sure to expire at the end of March.

I have changed my SSH private key because my hard disk crashed. Please update my public key as below:

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDV/vIMvgqEGnLjLdjKf0oX1tnwHWYtWgludaHE1O3bzKhfPZtQ8J1EcCQd76k08276IVc1qgkO7TQeU86Z7c5a1XnNU/eqfatBOVD9511Mz4v8PwifqSqgyJCkp07p/z464zaS1FNOZPth7FvmWqU0EsherNvauqnADkKhZJGzRszjNDhTMXKGu5LyxXNk463oSHiIS3dIUiPSsiaFPW9Mge2sjGTDCTKJaOnjHMWig+XgRopU7L/OY8ZRbgbD/tojClaUeq5ITexaDTwgv1e1G7RW4th0Ed4Bh/i5zc1FY+J1or5GdGUpAUDEC9mSpdxiwsW5bmtagxlbypm0fb1K3GUD1Sg9ShO5FEDXlmx+acOTmPUmZXwU0iNufiY29EqDRNwkL1XMmrQge+pkbKInV1ReanmD03PJr/RLo2pntczcPrw+SBCAoUjNkSUyTUBx5DO4G3e0AZ520Pyxt0tWFEI42eLDKLUTLEjVLM2ZZHrgeIMN9wKPNIHFWTrdShh+qVVMpXAIXbqi0WfTqu61srGPQMDibM9vMsbBHSGBvyTBwRoMEQX2LpCwGXH4Cr6UGmsPF7OBnsW0RTernuTCZi50Z8JygBuQHQ09A4otukbjvor+P/nOlUcZtYMDtWqErn7rzErkS1InPrDBUAAV1w6MjZCG2CX0cSuCqDFeWQ== vinithacse@gmail.com

Change 401558 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding user groovier temporary access to stat1006, researchers eventlog data per T181952

https://gerrit.wikimedia.org/r/401558

Change 401579 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Revert "adding new shell user groovier new shell user and addition to the researchers group, all approvals are on the linked task. Bug: T181952 Change-Id: I0a951849841ded1c80815af1e5a9b4edf584712b"

https://gerrit.wikimedia.org/r/401579

Change 401579 merged by RobH:
[operations/puppet@production] Revert "adding new shell user groovier new shell user and addition to the researchers group, all approvals are on the linked task. Bug: T181952 Change-Id: I0a951849841ded1c80815af1e5a9b4edf584712b"

https://gerrit.wikimedia.org/r/401579

RobH added a comment.Jan 2 2018, 7:02 PM

Please disregard the patchset merge and revert above, it has nothing to do with any actions on the task or by the user (we just are having some puppet style issue corrections!)

Change 401584 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] adding new shell user groovier new shell user and addition to the researchers group, all approvals are on the linked task.

https://gerrit.wikimedia.org/r/401584

Change 401584 had a related patch set uploaded (by Dzahn; owner: Cmjohnson):
[operations/puppet@production] adding new shell user groovier

https://gerrit.wikimedia.org/r/401584

Change 401584 merged by Cmjohnson:
[operations/puppet@production] adding new shell user groovier

https://gerrit.wikimedia.org/r/401584

Change 401586 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding user groovier to stat1006

https://gerrit.wikimedia.org/r/401586

Change 401586 merged by Cmjohnson:
[operations/puppet@production] Adding user groovier to stat1006

https://gerrit.wikimedia.org/r/401586

Cmjohnson closed this task as Resolved.Jan 2 2018, 7:55 PM
Cmjohnson claimed this task.

Your user exists on stat1006 now and expires on 31/3/2018

/etc# id groovier
uid=18102(groovier) gid=500(wikidev) groups=500(wikidev),714(researchers)